Get a task, with its result once completed
curl --request GET \
--url https://api.apiforgeo.com/v1/tasks/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apiforgeo.com/v1/tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apiforgeo.com/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "queued",
"mode": "live",
"prompt": "<string>",
"model": "<string>",
"country": "<string>",
"language": "<string>",
"enrichments": [
"<string>"
],
"metadata": {},
"webhookUrl": "<string>",
"costMicros": 123,
"refunded": true,
"apiKeyId": "<string>",
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"resultExpiresAt": "<string>",
"result": {
"answer": "<string>",
"entities": [
{
"name": "<string>",
"type": "brand",
"position": 123,
"mentions": 123,
"sentiment": 0.8,
"stance": "chosen"
}
],
"sources": [
{
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"position": 123
}
],
"fanOuts": [
{
"phrase": "best running shoes for flat feet 2026"
}
],
"products": [
{
"name": "<string>",
"brand": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
},
"rating": 123,
"reviewCount": 123,
"imageUrl": "<string>",
"position": 123,
"merchants": [
{
"name": "<string>",
"url": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
}
}
]
}
],
"ads": [
{
"position": 123,
"format": "<string>",
"advertiser": "<string>",
"brand": "<string>",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
},
"strikethroughPrice": {
"amountMicros": 123,
"currency": "<string>"
},
"rating": 123
}
]
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Tasks
Get a task, with its result once completed
GET
/
v1
/
tasks
/
{taskId}
Get a task, with its result once completed
curl --request GET \
--url https://api.apiforgeo.com/v1/tasks/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apiforgeo.com/v1/tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apiforgeo.com/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "queued",
"mode": "live",
"prompt": "<string>",
"model": "<string>",
"country": "<string>",
"language": "<string>",
"enrichments": [
"<string>"
],
"metadata": {},
"webhookUrl": "<string>",
"costMicros": 123,
"refunded": true,
"apiKeyId": "<string>",
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"resultExpiresAt": "<string>",
"result": {
"answer": "<string>",
"entities": [
{
"name": "<string>",
"type": "brand",
"position": 123,
"mentions": 123,
"sentiment": 0.8,
"stance": "chosen"
}
],
"sources": [
{
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"position": 123
}
],
"fanOuts": [
{
"phrase": "best running shoes for flat feet 2026"
}
],
"products": [
{
"name": "<string>",
"brand": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
},
"rating": 123,
"reviewCount": 123,
"imageUrl": "<string>",
"position": 123,
"merchants": [
{
"name": "<string>",
"url": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
}
}
]
}
],
"ads": [
{
"position": 123,
"format": "<string>",
"advertiser": "<string>",
"brand": "<string>",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"price": {
"amountMicros": 123,
"currency": "<string>"
},
"strikethroughPrice": {
"amountMicros": 123,
"currency": "<string>"
},
"rating": 123
}
]
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"details": {},
"requestId": "<string>"
}
}Authorizations
Response
OK